Returns if a field will only be highlighted if the query matched in this particular field

- « SolrQuery::getHighlightRegexSlop

- SolrQuery::getHighlightSimplePost »

- PHP Manual
- SolrQuery
- Returns if a field will only be highlighted if the query matched in this particular field

# SolrQuery::getHighlightRequireFieldMatch

(PECL solr >= 0.9.2)

SolrQuery::getHighlightRequireFieldMatch — Returns if a field will only be highlighted if the query matched in this particular field

### Description

public SolrQuery::getHighlightRequireFieldMatch(): bool

Returns if a field will only be highlighted if the query matched in this particular field.

### Parameters

This function has no parameters.

### Return Values

Returns a boolean on success and `null` if not set.